local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadATTProfile()

ATTDB = {
	["classSelected"] = "WARRIOR",
	["growLeft"] = true,
	["showRacial"] = false,
	["scale"] = 0.63653165102005,
	["showSelf"] = true,
	["lock"] = true,
	["positions"] = {
	},
	["showTrinket"] = true,
	["iconOffsetY"] = 2,
	["inraid"] = false,
	["outside"] = false,
	["hidden"] = false,
	["dungeons"] = true,
	["showTooltip"] = false,
	["showIconBorders"] = false,
	["abilities"] = {
		["DEATHKNIGHT"] = {
			["252"] = {
				{
					["ability"] = "Asphyxiate",
					["cooldown"] = 45,
					["id"] = 108194,
				}, -- [1]
				{
					["ability"] = "Leap",
					["cooldown"] = 30,
					["id"] = 47482,
				}, -- [2]
			},
			["ALL"] = {
				{
					["ability"] = "Mind Freeze",
					["cooldown"] = 15,
					["id"] = 47528,
				}, -- [1]
				{
					["ability"] = "Anti-Magic Shell",
					["cooldown"] = 60,
					["id"] = 48707,
				}, -- [2]
				{
					["ability"] = "Icebound Fortitude",
					["cooldown"] = 180,
					["id"] = 48792,
				}, -- [3]
			},
			["250"] = {
			},
			["251"] = {
				{
					["ability"] = "Wraith Walk",
					["cooldown"] = 60,
					["id"] = 212552,
				}, -- [1]
			},
		},
		["WARRIOR"] = {
			["71"] = {
				{
					["ability"] = "Intimidating Shout",
					["cooldown"] = 90,
					["id"] = 5246,
				}, -- [1]
				{
					["ability"] = "Die by the Sword",
					["cooldown"] = 180,
					["id"] = 118038,
				}, -- [2]
			},
			["ALL"] = {
				{
					["ability"] = "Pummel",
					["cooldown"] = 15,
					["id"] = 6552,
				}, -- [1]
				{
					["ability"] = "Disarm",
					["cooldown"] = 45,
					["id"] = 236077,
				}, -- [2]
				{
					["ability"] = "Storm Bolt",
					["cooldown"] = 30,
					["id"] = 107570,
				}, -- [3]
			},
			["73"] = {
			},
			["72"] = {
				{
					["ability"] = "Intimidating Shout",
					["cooldown"] = 90,
					["id"] = 5246,
				}, -- [1]
			},
		},
		["ROGUE"] = {
			["261"] = {
				{
					["ability"] = "Evasion",
					["cooldown"] = 120,
					["id"] = 5277,
				}, -- [1]
				{
					["ability"] = "Smoke Bomb",
					["cooldown"] = 180,
					["id"] = 212182,
				}, -- [2]
			},
			["260"] = {
			},
			["ALL"] = {
				{
					["ability"] = "Kick",
					["cooldown"] = 15,
					["id"] = 1766,
				}, -- [1]
				{
					["ability"] = "Cloak of Shadows",
					["cooldown"] = 120,
					["id"] = 31224,
				}, -- [2]
			},
			["259"] = {
				{
					["ability"] = "Evasion",
					["cooldown"] = 120,
					["id"] = 5277,
				}, -- [1]
				{
					["ability"] = "Blind",
					["cooldown"] = 120,
					["id"] = 2094,
				}, -- [2]
				{
					["ability"] = "Smoke Bomb",
					["cooldown"] = 180,
					["id"] = 212182,
				}, -- [3]
			},
		},
		["MAGE"] = {
			["ALL"] = {
				{
					["ability"] = "Temporal Shield",
					["cooldown"] = 45,
					["id"] = 198111,
				}, -- [1]
				{
					["ability"] = "Counterspell",
					["cooldown"] = 24,
					["id"] = 2139,
				}, -- [2]
				{
					["ability"] = "Ice Block",
					["cooldown"] = 240,
					["id"] = 45438,
				}, -- [3]
				{
					["ability"] = "Ring of Frost",
					["cooldown"] = 45,
					["id"] = 113724,
				}, -- [4]
			},
			["64"] = {
			},
			["62"] = {
			},
			["63"] = {
				{
					["ability"] = "Dragon's Breath",
					["cooldown"] = 20,
					["id"] = 31661,
				}, -- [1]
			},
		},
		["PRIEST"] = {
			["ALL"] = {
			},
			["256"] = {
				{
					["ability"] = "Psychic Scream",
					["cooldown"] = 60,
					["id"] = 8122,
				}, -- [1]
				{
					["ability"] = "Pain Suppression",
					["cooldown"] = 180,
					["id"] = 33206,
				}, -- [2]
				{
					["ability"] = "Power Word: Barrier",
					["cooldown"] = 180,
					["id"] = 62618,
				}, -- [3]
			},
			["258"] = {
				{
					["ability"] = "Dispersion",
					["cooldown"] = 120,
					["id"] = 47585,
				}, -- [1]
				{
					["ability"] = "Psychic Scream",
					["cooldown"] = 60,
					["id"] = 8122,
				}, -- [2]
				{
					["ability"] = "Silence",
					["cooldown"] = 45,
					["id"] = 15487,
				}, -- [3]
			},
			["257"] = {
				{
					["ability"] = "Greater Fade",
					["cooldown"] = 45,
					["id"] = 213602,
				}, -- [1]
				{
					["ability"] = "Ray of Hope",
					["cooldown"] = 60,
					["id"] = 197268,
				}, -- [2]
				{
					["ability"] = "Guardian Spirit",
					["cooldown"] = 180,
					["id"] = 47788,
				}, -- [3]
			},
		},
		["HUNTER"] = {
			["254"] = {
			},
			["255"] = {
			},
			["253"] = {
			},
			["ALL"] = {
				{
					["ability"] = "Aspect of the Turtle",
					["cooldown"] = 180,
					["id"] = 186265,
				}, -- [1]
				{
					["ability"] = "Freezing Trap",
					["cooldown"] = 30,
					["id"] = 187650,
				}, -- [2]
				{
					["ability"] = "Roar of Sacrifice",
					["cooldown"] = 60,
					["id"] = 53480,
				}, -- [3]
			},
		},
		["GENERAL"] = {
			["ALL"] = {
				{
					["ability"] = "Gladiator's Maledict",
					["cooldown"] = 120,
					["id"] = 305252,
				}, -- [1]
				{
					["ability"] = "Gladiator's Safeguard",
					["cooldown"] = 120,
					["id"] = 286342,
				}, -- [2]
			},
		},
		["WARLOCK"] = {
			["265"] = {
			},
			["ALL"] = {
				{
					["ability"] = "Spell Lock",
					["cooldown"] = 24,
					["id"] = 19647,
				}, -- [1]
				{
					["ability"] = "Unending Resolve",
					["cooldown"] = 180,
					["id"] = 104773,
				}, -- [2]
				{
					["ability"] = "Dark Pact",
					["cooldown"] = 60,
					["id"] = 108416,
				}, -- [3]
				{
					["ability"] = "Nether Ward",
					["cooldown"] = 45,
					["id"] = 212295,
				}, -- [4]
			},
			["267"] = {
			},
			["266"] = {
			},
		},
		["DEMONHUNTER"] = {
			["ALL"] = {
				{
					["ability"] = "Blur",
					["cooldown"] = 60,
					["id"] = 198589,
				}, -- [1]
				{
					["ability"] = "Disrupt",
					["cooldown"] = 10,
					["id"] = 183752,
				}, -- [2]
				{
					["ability"] = "Imprison",
					["cooldown"] = 45,
					["id"] = 217832,
				}, -- [3]
			},
			["581"] = {
			},
			["577"] = {
				{
					["ability"] = "Darkness",
					["cooldown"] = 180,
					["id"] = 196718,
				}, -- [1]
			},
		},
		["SHAMAN"] = {
			["ALL"] = {
				{
					["ability"] = "Astral Shift",
					["cooldown"] = 90,
					["id"] = 108271,
				}, -- [1]
				{
					["ability"] = "Wind Shear",
					["cooldown"] = 12,
					["id"] = 57994,
				}, -- [2]
				{
					["ability"] = "Ascendance",
					["cooldown"] = 180,
					["id"] = 114052,
				}, -- [3]
			},
			["264"] = {
				{
					["ability"] = "Spirit Link Totem",
					["cooldown"] = 180,
					["id"] = 98008,
				}, -- [1]
				{
					["ability"] = "Earthen Wall Totem",
					["cooldown"] = 60,
					["id"] = 198838,
				}, -- [2]
			},
			["263"] = {
			},
			["262"] = {
			},
		},
		["DRUID"] = {
			["105"] = {
				{
					["ability"] = "Barkskin",
					["cooldown"] = 60,
					["id"] = 22812,
				}, -- [1]
				{
					["ability"] = "Ironbark",
					["cooldown"] = 60,
					["id"] = 102342,
				}, -- [2]
			},
			["104"] = {
			},
			["ALL"] = {
				{
					["ability"] = "Mighty Bash",
					["cooldown"] = 50,
					["id"] = 5211,
				}, -- [1]
			},
			["103"] = {
				{
					["ability"] = "Skull Bash",
					["cooldown"] = 15,
					["id"] = 106839,
				}, -- [1]
				{
					["maxcharges"] = 2,
					["ability"] = "Survival Instincts",
					["cooldown"] = 120,
					["id"] = 61336,
				}, -- [2]
			},
			["102"] = {
				{
					["ability"] = "Solar Beam",
					["cooldown"] = 60,
					["id"] = 78675,
				}, -- [1]
				{
					["ability"] = "Barkskin",
					["cooldown"] = 60,
					["id"] = 22812,
				}, -- [2]
			},
		},
		["MONK"] = {
			["270"] = {
				{
					["ability"] = "Life Cocoon",
					["cooldown"] = 120,
					["id"] = 116849,
				}, -- [1]
			},
			["269"] = {
				{
					["ability"] = "Spear Hand Strike",
					["cooldown"] = 15,
					["id"] = 116705,
				}, -- [1]
				{
					["ability"] = "Touch of Karma",
					["cooldown"] = 90,
					["id"] = 122470,
				}, -- [2]
				{
					["ability"] = "Fortifying Brew",
					["cooldown"] = 90,
					["id"] = 201318,
				}, -- [3]
			},
			["268"] = {
			},
			["ALL"] = {
				{
					["ability"] = "Leg Sweep",
					["cooldown"] = 60,
					["id"] = 119381,
				}, -- [1]
			},
		},
		["PALADIN"] = {
			["65"] = {
				{
					["ability"] = "Blessing of Sacrifice",
					["cooldown"] = 120,
					["id"] = 6940,
				}, -- [1]
				{
					["ability"] = "Divine Shield",
					["cooldown"] = 300,
					["id"] = 642,
				}, -- [2]
				{
					["ability"] = "Avenging Crusader",
					["cooldown"] = 120,
					["id"] = 216331,
				}, -- [3]
				{
					["ability"] = "Blessing of Protection",
					["cooldown"] = 300,
					["id"] = 1022,
				}, -- [4]
				{
					["ability"] = "Blessing of Freedom",
					["cooldown"] = 25,
					["id"] = 1044,
				}, -- [5]
			},
			["70"] = {
				{
					["ability"] = "Divine Shield",
					["cooldown"] = 300,
					["id"] = 642,
				}, -- [1]
				{
					["ability"] = "Rebuke",
					["cooldown"] = 15,
					["id"] = 96231,
				}, -- [2]
				{
					["ability"] = "Blessing of Protection",
					["cooldown"] = 300,
					["id"] = 1022,
				}, -- [3]
				{
					["ability"] = "Blessing of Freedom",
					["cooldown"] = 25,
					["id"] = 1044,
				}, -- [4]
				{
					["ability"] = "Blessing of Sanctuary",
					["cooldown"] = 45,
					["id"] = 210256,
				}, -- [5]
				{
					["ability"] = "Eye for an Eye",
					["cooldown"] = 60,
					["id"] = 205191,
				}, -- [6]
			},
			["ALL"] = {
				{
					["ability"] = "Hammer of Justice",
					["cooldown"] = 60,
					["id"] = 853,
				}, -- [1]
			},
			["66"] = {
				{
					["ability"] = "Rebuke",
					["cooldown"] = 15,
					["id"] = 96231,
				}, -- [1]
			},
		},
	},
	["glow"] = true,
	["iconOffsetX"] = 5,
	["arena"] = true,
	["scenarios"] = true,
	["attach"] = true,
}

end