local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadGGFDKProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "ffc41f3b",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "ffc41f3b",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Bold",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFDHProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "ffa330c9",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "ffa330c9",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFDruidProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "ffff7d0a",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "ffff7d0a",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFHunterProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "ffa9d271",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "ffa9d271",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFMageProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "ff40c7eb",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "ff40c7eb",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFMonkProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "ff00ff96",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "ff00ff96",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFPaladinProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "fff58cba",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "fff58cba",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFPriestProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "ffffffff",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "ffffffff",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFRogueProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "fffff569",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "fffff569",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFShamanProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "ff0070de",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "ff0070de",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFWarlockProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "ff8787ed",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "ff8787ed",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end

function GNUI:LoadGGFWarriorProfile()

GottaGoFastDB = {
	["profileKeys"] = {
	},
	["profiles"] = {
		["Default"] = {
			["TimerType"] = "TrueTimerNoMS",
			["TimerColor"] = "ffc79c6e",
			["BestReport"] = false,
			["TimerX"] = -38,
			["FrameX"] = -164.5716094970703,
			["TimerFont"] = "Century Gothic Bold",
			["AutoDialog"] = true,
			["DeathColor"] = "ffc79c6e",
			["TimerFontSize"] = 26,
			["FrameY"] = -19.30156707763672,
			["Version"] = 31100,
			["ObjectiveFont"] = "Century Gothic Regular",
			["ObjectiveFontSize"] = 16,
			["DeathInObjectives"] = true,
		},
	},
}

end